Package org.apache.lucene.analysis.te

## Class TeluguNormalizer

- java.lang.Object
- - org.apache.lucene.analysis.te.TeluguNormalizer

-     public class TeluguNormalizer
      extends Object

  Normalizer for Telugu.

  Normalizes text to remove some differences in spelling variations.

  Since:
    9.0.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TeluguNormalizer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `normalize​(char[] s, int len)` | Normalize an input buffer of Telugu text

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeluguNormalizer

          public TeluguNormalizer()

  - ### Method Detail

    - #### normalize

          public int normalize​(char[] s,
                               int len)

      Normalize an input buffer of Telugu text
      Parameters:
        `s` - input buffer
        `len` - length of input buffer
      Returns:
        length of input buffer after normalization